<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>HTML Attributes and Links</title>
	</head>
	<body>
		<h2 id="top">HTML Attributes</h2>
		<p align="center">
			<em>Modifiers of elements behaviors.</em>
		</p>
		<h2>HTML Images</h2>
		<p align="right">
			<!-- HTML Entities (&lt; and &gt;) -->
			<em>An images can be shown using &lt;img&gt; along with its <strong> src attribute</strong>.</em>
		</p>
		<a href="https://place-puppy.com/300x300"><img src="https://place-puppy.com/300x300"></a>
		<p>
			<!-- is used to define a piece of computer code and displays test in the browser -->
			<code>
				&lt;img src="https://place-puppy.com/300x300"&gt;

			</code>
		</p>
        
        <!-- add an image uing relative link -->
		<img src="./images/zuittlogo.jpg">
		<p>
			<code>&lt;img src="./images/zuittlogo.jpg"&gt;</code>
		</p>
		<p>Valid images extensions are the following:</p>
		<!-- in list type attribute is used to change the numbered points 
			
			--Other values for the type attribute in ol are the ff:
			-1 (default)
			-A
			-a
			-I
			-i
			--Other values for the type attribute in ul are the ff:
			-disc (default)
			-circle
			-square
		-->
		<!-- The reversed attr reverses the order of the bullet points. -->
		<ol type="I" reversed>
			<li>png</li>
			<li>jpg/jpeg</li>
			<li>gif</li>
			<li>svg</li>
			<li>webp</li>
		</ol>

		<p>
			take a look at w3schools attribute references <a href="https://www.w3schools.com/tags/ref_attributes.asp" target="_blank">HERE</a>.
		</p>

		<h2>HTML Links</h2>
		<h4>Absolute Links</h4>
		<!-- create a hyperlink element that redirects to a different page -->
		<a href="https://zuitt.co/" target="_blank">I am a Hyperlink</a>

		<h4>Relative Link</h4>
		<p>Go to <a href="./link.html">link.html</a></p>
		<p>Go to <a href="#top">top</p>
	</body>
</html>